name: app  #宿主App命名空间
description: Flutter Room 临时项目

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  #基础组件的依赖
  domain:
    path: ../packages/cs_domain

  plugin_basic:
    path: ../packages/cs_plugin_basic

  plugin_platform:
    path: ../packages/cs_plugin_platform

  shared:
    path: ../packages/cs_shared

  cs_resources:
    path: ../packages/cs_resources

  router:
    path: ../packages/cs_router

  widgets:
    path: ../packages/cs_widgets

  initializer:
    path: ../packages/cs_initializer

  #业务子组件的依赖
  cpt_auth:
    path: ../packages/cpt_auth

  cpt_community:
    path: ../packages/cpt_community

  cpt_facility:
    path: ../packages/cpt_facility

  cpt_form:
    path: ../packages/cpt_form

  cpt_main:
    path: ../packages/cpt_main

  cpt_notice_board:
    path: ../packages/cpt_notice_board

  cpt_payment:
    path: ../packages/cpt_payment

  cpt_profile:
    path: ../packages/cpt_profile

  cpt_property:
    path: ../packages/cpt_property

  cpt_rewards:
    path: ../packages/cpt_rewards

  cpt_services:
    path: ../packages/cpt_services

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

  # Hooks 简化 Flutter 页面
  flutter_hooks: ^0.20.5

  # Hooks 简化 Riverpod 获取
  hooks_riverpod: ^2.5.1

  # 极光推送  https://github.com/jpush/jpush-flutter-plugin
  #  jpush_flutter: 2.5.1

  #  https://pub-web.flutter-io.cn/packages/flutter_bugly
#  flutter_bugly: 0.4.4


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^4.0.0

  # Dart代码生成文件
  build_runner: ^2.4.12

  # Riverpod代码生成器
  riverpod_generator: ^2.4.3

  # 专为Riverpod设计的一套lint规则
  riverpod_lint: ^2.3.13

  # AutoRouter 生成代码
  auto_route_generator: ^8.0.0


flutter:
  uses-material-design: true